Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603257 - [abrt] crash in pitivi-0.13.4-2.fc13: singledecodebin.py:315:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long
[abrt] crash in pitivi-0.13.4-2.fc13: singledecodebin.py:315:_unblockPad:Type...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:bc04d4dc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 23:53 EDT by Timothy Davis
Modified: 2011-06-27 14:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (657 bytes, text/plain)
2010-06-11 23:53 EDT, Timothy Davis
no flags Details

  None (edit)
Description Timothy Davis 2010-06-11 23:53:56 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.33.5-112.fc13.x86_64
package: pitivi-0.13.4-2.fc13
reason: singledecodebin.py:315:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long
release: Fedora release 13 (Goddard)

backtrace
-----
singledecodebin.py:315:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/elements/singledecodebin.py", line 327, in _padBlockedCb
    self._unblockPad(target=self._target)
  File "/usr/share/pitivi/python/pitivi/elements/singledecodebin.py", line 315, in _unblockPad
    target.remove_event_probe(self._eventProbeId)
TypeError: Parameter 'handler_id' must be an int or a long

Local variables in innermost frame:
self: <SingleDecodeBin object (pitivi+elements+singledecodebin+singledecodebin15) at 0x2c37820>
target: <GstPad (theoradec18:src) at 7ff32c04d4a0>
Comment 1 Timothy Davis 2010-06-11 23:53:58 EDT
Created attachment 423434 [details]
File: backtrace
Comment 2 Michael Ploujnikov 2010-06-22 18:38:42 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. imported some videos
2. dragged one of the imported videos onto the timeline
3.
Comment 3 Fedora Admin XMLRPC Client 2010-08-21 20:54:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Andrzej 2010-10-07 15:35:13 EDT
Package: pitivi-0.13.4-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.on startup program
2.
3.
Comment 5 Steevithak 2010-10-17 20:24:16 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. import 20 jpegs
2. placed 2 jpegs on timeline
3. dragged cursor out to about 20 seconds

Pitivi GUI was still present and seemed to work but Fedora crash alter says Pitivi has crashed
Comment 6 Steevithak 2010-11-19 16:06:36 EST
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened project
2. Dragged a clip to time line
3. PiTiVit crashed
Comment 7 Bug Zapper 2011-06-02 07:09:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Admin XMLRPC Client 2011-06-20 16:56:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-20 16:57:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-20 17:05:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Bug Zapper 2011-06-27 14:03:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.